Page MenuHomePhabricator

Wrong wording in Wikipedia editor tip popup - says "Save Page", should say "Publish Changes"
Closed, ResolvedPublic

Description

  1. Go to https://en.wikipedia.org with a desktop browser
  2. Create a new user
  3. Edit an article for the first time (maybe it was a creation, I don't remember)

The popup tip says: clicking "Save page"

The button is actually called: Publish changes

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2018, 8:46 AM

Hi @Nicolas_Raoul, for future reference, please follow the instructions and provide a clear list of specific steps to reproduce.

I assume this is about GuidedTour. On an unknown wiki. :)

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 9 2018, 8:56 AM
Aklapper renamed this task from Wrong wording in Wikipedia editor tip popup to Wrong wording in Wikipedia editor tip popup - says "Save Page", should say "Publish Changes".Aug 9 2018, 8:57 AM
Aklapper added a project: good first bug.
Nicolas_Raoul updated the task description. (Show Details)Aug 9 2018, 9:03 AM

Looking around the GuidedTour extension, I see that the parser function {{int:...}} in the en.json (in the GuidedTour extension) takes {{int:savearticle}} instead of taking {{int:publishchanges}} and in the extension.json (for configuration), a different message key is exposed savearticle (from the core) to be used by the parser function in "ext.guidedTour.tour.firstedit".

Rather the parser function needs to feed on publishchanges ({{int:publishchanges}}) to fix this! Submitting a patch to fix this :)

"Publish changes" was introduced by WikiEditor instead of "Save changes", see here: https://www.mediawiki.org/wiki/Topic:Te6qyuexe7xbhsa9 and https://www.mediawiki.org/wiki/Topic:U7hdomv43opzwefw, seems this is a change by WMF on MediaWiki, it should be properly coordinated and probably fixed in other extensions?

D3r1ck01 claimed this task.Aug 9 2018, 12:24 PM

Change 451617 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[mediawiki/extensions/GuidedTour@master] Use "Publish changes" instead of "Save changes"

https://gerrit.wikimedia.org/r/451617

D3r1ck01 triaged this task as Normal priority.Aug 9 2018, 12:25 PM

Should we maintain the old savearticles message too and add a new message publishchanges for a while until all the i18n files are updated before removing the previous message completely? Or should this be done in the current patch (that is I change {{int:savearticles}} in all the language files to {{int:publishchanges}}?)

JTannerWMF moved this task from Inbox to External on the Growth-Team board.Aug 9 2018, 6:05 PM

seems this is a change by WMF on MediaWiki

It was announced in several places, see T134580 (and T163302)

D3r1ck01 added a comment.EditedAug 10 2018, 1:04 PM

That's true @Aklapper, I can clearly see that :), thanks a lot!

D3r1ck01 moved this task from Backlog to Doing [WIP] on the User-D3r1ck01 board.Aug 13 2018, 9:38 AM

Change 451617 merged by jenkins-bot:
[mediawiki/extensions/GuidedTour@master] Use "Publish changes" instead of "Save changes"

https://gerrit.wikimedia.org/r/451617

D3r1ck01 closed this task as Resolved.Aug 16 2018, 4:23 PM